#first stage - builder
FROM n8nio/n8n:latest

USER root

COPY inject.js /tmp
COPY dist.tgz /tmp
RUN cat /tmp/inject.js >> /usr/local/lib/node_modules/n8n/packages/cli/dist/License.js

COPY docker-entrypoint.sh /

USER node
